<template lang='pug'>
  header.header.header-space-bottom
    .container
      .bar
        HeaderLogo
        BaseButton(
          @click='scroll'
          size='big'
          skin='orange-not-filled'
        ) Произвести биоробота
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'

import HeaderLogo from './HeaderLogo.vue'
import BaseButton from '../BaseButton.vue'

@Component({
  components: {
    HeaderLogo,
    BaseButton
  }
})
export default class Header extends Vue {
  scroll () {
    window.scrollBy(0, 1400)
  }
}
</script>

<style lang='scss' scoped>
  @import '../../assets/styles/config/variables.scss';

  .bar {
    height: $header-height;

    display: flex;
    align-items: center;

    justify-content: space-between;
  }
</style>
